APIs / Twitch / Search Streams

Twitch: Search Streams

Search Streams from Twitch as JSON. 1 credit per successful call.

GET /v1/twitch/search-streamsNeeds terms

Note
This endpoint needs the restricted-endpoint terms, which you can accept in your dashboard.

Parameters

Send parameters in the query string.

ParameterTypeRequiredAllowed values
querystringRequiredUp to 200 characters
firstintegerOptionalAny
afterstringOptionalUp to 500 characters

Example request

cURLshell
curl "https://api.perceptlayer.com/v1/twitch/search-streams" \
  -H "X-API-Key: $API_KEY"